let () =
  TypePhrases.format_source :=
    (fun fmt -> "<em style=\"color: #309;\">" ^^ fmt ^^ "</em>");
  Options.expand_types_from_env := true;
  Options.shortcut_seqabs := false;
  TypePhrases.dump_svg := true;
;;


let parse_and_type_into_string graphs show_mono unicode program =
  TypePhrases.dump_svg := graphs;
  Options.show_mono_edges := show_mono;
  if unicode then
    Options.output := Options.Unicode
  else
    Options.output := Options.Ascii;
  Utils.format_into_string
    (fun ppf input -> ignore (TypePhrases.parse_and_type_string ~ppf input))
    program
