open Ocamlbuild_plugin;;
open Command;;

(*
let packages = "lablgtk2";; (* written using a comma separated list *)
let ocamlfind x = S [ A "ocamlfind"; x; A "-package"; A packages];;
*)


dispatch begin function
(*
 | Before_options ->
     (* by using Before_options one let command line options have 
        an higher priority *) 
     (* on the contrary using After_options will guarantee to have 
        the higher priority *)
     Options.ocamlc := ocamlfind & S [ A "ocamlc"; A "-g" ];
     Options.ocamlopt := ocamlfind & A "ocamlopt";
     Options.make_links := false;
*)

  | After_rules ->
      ocaml_lib ~extern:true ~dir:"+lablgtk2" "lablgtk";
      ocaml_lib ~extern:true "odot";

      dep ["ocaml"; "ocamldep"; "use_hashext"]
        ["utils/hashtbl_ext.cmo"];

      flag ["ocaml"; "pp"; "use_hashext"]
        (S[A"camlp4o"; A"./utils/hashtbl_ext.cmo"]);
  | _ -> ()
end;;
