let usage = "Type the declarations passed as argument
Usage: arg <options> 'declarations'"

let () =
  let input = ref "" in

  Arg.parse ([
  ] @ Options.common) (fun s -> input := s) usage;

  try
    if !input <> "" then (
      ignore (TypePhrases.parse_and_type_string ~catch_errors:false !input);
      Printf.printf "\nDone.\n";
    )
  with Failure "TypePhrases" -> Printf.printf "\nTyping failed.\n"
;;
