type output =
  | LaTeX
  | Ascii
  | Unicode

let output = ref Ascii

(* Generation of constraints *)
let shortcut_bottoms = ref true
let shortcut_seqabs = ref true
let shortcut_forall = ref true
let rigid_right_coercions = ref false
let solve_app_before_arg = ref false
let sequence_has_type_unit = ref false
let expand_types_from_env = ref false
let native_recursion_typing = ref false


(* Display *)
(* Less parentheses in source code and types when not too ambiguous *)
let minimize_parentheses = ref true

(* Syntactic normal forms (for monomorphic parts) in solutions *)
let normal_forms = ref true
let show_mono_edges = ref true

let common = [
  "-debug", Arg.Set Utils.show_debug, " (undocumented)";
]
