(*
open Odot

let skeleton () =
  ignore (Sys.command "dot mlf.dot > mlf.annot.dot");
  let g = Odot.parse_file "mlf.dot" in
  let edges g = extract (function
      | Stmt_edge e -> Some e
      | _ -> None) g.stmt_list
  and nodes g = extract (function
      | Stmt_node (n, attr) -> Some (n, attr)
      | _ -> None) g.stmt_list
  and others = List.filter (function
      | Stmt_edge _ | Stmt_node _ -> true
      | s -> false) g.stmt_list
  in
  let invis (p, lp, l) = (p, lp, l @ [Simple_id "style", Some (Simple_id "invis")]) in
  let graph nodes edges =  { g with stmt_list =
      List.map (fun (n, l) -> Stmt_node (n, l)) nodes @
      List.map (fun e -> Stmt_edge e) (List.map invis edges) @
      List.map (fun e -> Stmt_edge e) edges
  }
  in
  (*
  let constrained edges =
    List.filter (fun (_, _, attrs) ->
                   List.for_all (fun (id, _) -> string_of_id id <> "constraint")
                     attrs) edges
  in
  let g' = graph (nodes g) (constrained (edges g)) in
  Odot.print_file "mlf2.dot" g';
  ignore (Sys.command "dot mlf2.dot > mlf3.dot");
  let g = Odot.parse_file "mlf3.dot" in
  let placed_nodes = nodes g in
  let origin = function
    | (Edge_node_id n, _, _) -> n
    | _ -> assert false in
  let coord_x n =
    let _, attrs = List.find (fun (n', l) -> n' = n) placed_nodes in
    let pos = extract_one (function (id, Some p) when string_of_id id = "pos" ->
                             Some (string_of_id p) | _ -> None) attrs in
    let sx = String.sub pos 1 (String.index pos ',' - 1) in
    debug "%s" sx;
    int_of_string sx
  in
  let g = Odot.parse_file "mlf.annot.dot" in
  let nodes = nodes g and edges = edges g in
  let edges_incoming_on n = List.filter
    (function (_, [Edge_node_id n'], _) -> n = n' | _ -> assert false) edges
  in
  let sort_edges_to n = List.sort
    (fun e1 e2 ->
       let n1 = origin e1 and n2 = origin e2 in coord_x n1 - coord_x n2)
    (edges_incoming_on n)
  in
  let sorted_edges =
    List.flatten (List.map sort_edges_to (List.map fst nodes))
  in
  *)
  let g = graph (nodes g) (edges g) in
  Odot.print_file "mlf4.dot" g;
  *)
