let id_id_let = "let x = fun y -> y in x x"
let id_id = "(fun x -> x) (fun x -> x)"
let id = "fun x -> x"
let id_int = "(fun x -> x) 1"
let abs_int = "fun x -> 1"
let poly = "fun (x : 'a. 'a -> 'a) -> x x"
let poly' = "fun (x : 'a. ('a -> 'a) -> ('a -> 'a)) -> x x"
let poly'' = "fun (x : 'a. ('b > 'a -> 'a). ('c > 'a -> 'a). 'b -> 'c) -> x x"
let x_x = "fun x -> x x"
let two_lets = "let x = fun y -> y in let z = x x in z z"
let let_x = "fun x -> let y = x in x y"
let app1 = "fun x y z -> (x y) (y z)"
let app2 = "fun x y -> y (x y)"
let app3 = "fun x y -> y (x y) y"
let coerce = "fun x -> (x : 'a. 'a -> 'a) x"
let coerce' = "fun x -> x (x : 'a. 'a -> 'a)"
let coerce'' = "fun x -> (x : 'a. 'a -> 'a) (x : 'a. 'a -> 'a)"

let complexity ?(tapl=false) i =
  String.concat "\n"
    ("let x y = (y, y) in " ::
     Utils.ct_list "let x y = x (x y) in " i @
     [if tapl then "x (\\z. z)" else "x (fun z -> z)"])

let l_exprs = [
  id_id_let; id_id;
  id; id_int; abs_int;
  poly; poly'; poly'';
  x_x;
  two_lets;
  let_x;
  app1; app2; app3;
  coerce; coerce'; coerce'';
  complexity 1; complexity 2; complexity 3; complexity 4; complexity 5;
]
